"""
This module defines classes and global functions for creating and managing
connection to the graphlab backend server.
"""

""" The module usage metric tracking object """
from graphlab_util.config import DEFAULT_CONFIG as default_local_conf
from graphlab_util.metric_tracker import MetricTracker

""" The global client object """
__CLIENT__ = None

""" The global graphlab server object """
__SERVER__ = None

""" The module usage metric tracking object """
__USAGE_METRICS__ = MetricTracker(mode=default_local_conf.mode)


def _get_metric_tracker():
    """
    Returns the global metric tracker object.
    """
    return __USAGE_METRICS__
